## org.codehaus.groovy.util
Class ReferenceBundle

    java.lang.Object
      org.codehaus.groovy.util.ReferenceBundle

    public class ReferenceBundle

extends Object

Constructor Summary
`ReferenceBundle(ReferenceManager manager, ReferenceType type)`

Method Summary
`ReferenceManager` `getManager()`
`static ReferenceBundle` `getSoftBundle()`
`ReferenceType` `getType()`
`static ReferenceBundle` `getWeakBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceBundle

    public ReferenceBundle(ReferenceManager manager,
                           ReferenceType type)

Method Detail

### getType

    public ReferenceType getType()

### getManager

    public ReferenceManager getManager()

### getSoftBundle

    public static ReferenceBundle getSoftBundle()

### getWeakBundle

    public static ReferenceBundle getWeakBundle()

Copyright © 2003-2009 The Codehaus. All rights reserved.